senlin (6.0.0-0ubuntu2) cosmic; urgency=medium

  * d/rules: Ensure /usr/etc is purged from python(3)-senlin packages

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Sep 2018 16:17:43 -0400

senlin (6.0.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * Additional support for Python 3:
    - d/control: Drop python(3)-senlin conflicts on each other.
    - d/python(3)-senlin.postinst: Ensure alternatives priority is 300
      for Py2 and 200 for Py3.
    - d/tests/control: Run Py3 tests first due to alternatives priority.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 15:45:16 -0400

senlin (6.0.0~rc1-0ubuntu1) cosmic; urgency=medium

  * New upstream release candidate for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Aug 2018 10:39:23 -0400

senlin (6.0.0~b2-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control, d/rules: Add Python 2.7 support and python-senlin package.
    - d/control: Support Python 2.7 first and Python 3.x as alternative.
      senlin-common depends on python-senlin by default and python3-senlin
      as alternative.
    - d/control: move all other python run-time dependencies to
      python(3)-senlin packages.
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/rules: Add Python 2.7 support.
    - d/rules: Install to package build directories rather than debian/tmp.
    - d/rules: Use pkgos-dh_auto_install instead of python setup.py install.
      This helps name binaries for update-alternatives.
    - d/python(3)-senlin.post*, d/python(3)-senlin.prerm: update-alternatives
      is used to enable correct shebangs for Python binaries.
    - d/python3-senlin.install: Dropped. Not needed.
    - d/tests/*: Add Python 2/3 autopkgtests for senlin daemons and shebangs.
    - d/watch: Get tarball from tarballs.openstack.org.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
  * d/watch: Scope to 6.x series.
  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/Fix_unit_tests_to_make_py36_happy.patch: Dropped. Fixed in new
    upstream milestone.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 20 Jun 2018 11:49:18 -0400

senlin (5.0.1-2.1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * Fixed dbc postrm.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Mar 2018 18:01:04 +0000

senlin (5.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Switched to openstack-pkg-tools >= 70~ shared debconf templates.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 07 Mar 2018 10:26:29 +0000

senlin (5.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Feb 2018 15:59:40 -0500

senlin (5.0.0~rc1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https in Format
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.
  * Switch to Python 3.
  * Also package examples and contrib folder in senlin-doc.

 -- Thomas Goirand <zigo@debian.org>  Thu, 22 Feb 2018 15:13:18 +0000

senlin (5.0.0~rc1-0ubuntu1) bionic; urgency=medium

  * New upstream release candidate for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/use-docker-1.9.0.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Feb 2018 09:35:38 -0500

senlin (5.0.0~b3-0ubuntu2) bionic; urgency=medium

  * d/control: Drop python-qpid min version, enabling backport
    to cloud-archive.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 29 Jan 2018 15:26:49 -0500

senlin (5.0.0~b3-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 26 Jan 2018 13:33:08 -0500

senlin (5.0.0~b2-0ubuntu2) bionic; urgency=medium

  * d/p/use-docker-1.9.0, d/control: Added patch back to revert to using
    python-docker 1.9.0 for the Queens cloud archive and adds lsb-release
    to (Build-)Depends.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Dec 2017 13:19:22 -0500

senlin (5.0.0~b2-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/*: wrap-and-sort -bast.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10.
  * d/watch: Scope to Queens series.
  * d/p/*: Dropped. No longer needed.
  * d/senlin-common.install: Drop install of policy.json as default
    policies have been moved into code.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 11 Dec 2017 17:16:54 -0500

senlin (4.0.0-4) unstable; urgency=medium

  [ David Rabel ]
  * Team upload.
  * Fix encoding in d/po/pt.po.

 -- Thomas Goirand <zigo@debian.org>  Sat, 10 Feb 2018 12:49:11 +0000

senlin (4.0.0-3) unstable; urgency=medium

  * Uploading to unstable.
  * Added pt_BR.po (Closes: #861983).
  * Updated fr.po (Closes: #873469).
  * Updated pt.po (Closes: #876176).
  * Fixed minimum version of python-docker (Closes: #880127).

 -- Thomas Goirand <zigo@debian.org>  Tue, 31 Oct 2017 10:36:50 +0000

senlin (4.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Updated VCS fields.
  * Ran wrap-and-sort -bast.
  * Drop sqlalchemy version patch.
  * Updating maintainer field.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.1.
  * Fixed (build-)depends for this release.
  * debian/rules: remove things defined by openstack-pkg-tools.
  * Fixed oslo-config-generator namespace list.
  * Remove dh-systemd build-depends (not needed with debhelper 10).

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Oct 2017 16:30:25 +0000

senlin (4.0.0-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 01 Sep 2017 08:44:50 -0400

senlin (4.0.0~rc1-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Aug 2017 22:04:34 -0400

senlin (4.0.0~b3-0ubuntu2) artful; urgency=medium

  * d/control: Set min python-requests to 2.14.2.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Aug 2017 16:19:25 -0400

senlin (4.0.0~b3-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/p/use-docker-1.9.0.patch: Revert to using python-docker
    1.9.0.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 31 Jul 2017 15:25:38 -0400

senlin (4.0.0~b2-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Tue, 13 Jun 2017 13:11:50 +0100

senlin (4.0.0~b1-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * Align (Build-)Depends with upstream milestone.

 -- James Page <james.page@ubuntu.com>  Fri, 28 Apr 2017 14:55:12 +0100

senlin (3.0.0-0ubuntu1) zesty; urgency=medium

  * New upstream release for OpenStack Ocata.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2017 09:37:44 -0500

senlin (3.0.0~rc2-0ubuntu1) zesty; urgency=medium

  * New upstream milestone release. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 21 Feb 2017 15:44:44 -0500

senlin (3.0.0~rc1-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * d/watch: Use tarballs.openstack.org
  * New usptream milestone for Ocata.
  * Fixed (build-)depends for this release.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 06 Feb 2017 11:45:49 -0500

senlin (3.0.0~b2-0ubuntu1) zesty; urgency=medium

  * New usptream release.
  * Fixed (build-)depends for this release.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 04 Jan 2017 10:54:17 -0500

senlin (2.0.0-3) unstable; urgency=medium

  * Team upload.
  * Bump build dependency on openstack-pkg-tools (Closes: #858712).

 -- David Rabel <david.rabel@noresoft.com>  Sat, 01 Apr 2017 12:35:16 +0200

senlin (2.0.0-2) unstable; urgency=medium

  * Team upload.
  * Bumped debhelper compat version to 10
  * Added lsb-base to depends
  * Patch-out upper constraints of SQLAlchemy

 -- Ondřej Nový <onovy@debian.org>  Fri, 20 Jan 2017 13:02:01 +0100

senlin (2.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2016 18:24:15 +0200

senlin (2.0.0~rc1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Build-Depends on openstack-pkg-tools >= 53~.
  * Fixed oslotest EPOCH.
  * Fixed oslo-config-generator namespaces.
  * Debconf translation:
    - it (Closes: #839079).

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Sep 2016 19:17:55 +0200

senlin (2.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using OpenStack's Gerrit as VCS URLs.
  * Fixed missing EPOC in oslo.config (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Sep 2016 14:35:46 +0200

senlin (2.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Updated Danish translation of the debconf templates (Closes: #830651).
  * Blacklist failing tests:
    - test_common_context.TestRequestContext.test_request_context_from_dict
    - test_common_context.TestRequestContext.test_request_context_init
    - test_common_context.TestRequestContext.test_request_context_update

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Jul 2016 14:37:23 +0200

senlin (2.0.0~b1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fix OS_TEST_PATH=./senlin/tests/unit when running unit tests.

 -- Thomas Goirand <zigo@debian.org>  Mon, 13 Jun 2016 15:36:59 +0200

senlin (1.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/copyright: Changed source URL to https protocol

  [ Thomas Goirand ]
  * Updated Japanese debconf templates (Closes: #820758).
  * Updated Dutch debconf templates (Closes: #823440).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 May 2016 10:45:45 +0200

senlin (1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Added git as build-depends-indep.

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 Apr 2016 22:07:06 +0200

senlin (1.0.0~rc2-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2016 12:11:21 +0200

senlin (1.0.0~rc1-3) experimental; urgency=medium

  * Wrong template names nova->senlin.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Mar 2016 14:04:19 +0000

senlin (1.0.0~rc1-2) experimental; urgency=medium

  * Do not use Keystone admin auth token to register API endpoints.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Mar 2016 13:56:59 +0000

senlin (1.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Mar 2016 15:58:34 +0100

senlin (1.0.0~b3-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Mar 2016 15:55:16 +0100

senlin (1.0.0~b2-1) experimental; urgency=medium

  * Initial release. (Closes: #812414)

 -- Thomas Goirand <zigo@debian.org>  Sat, 23 Jan 2016 19:33:45 +0800

